/*!\file:  Constraint.h
 * \brief abstract class for Constraint object
 * This class is a place holder for constraints
 * It is derived from Object, so DataSets can contain them.
 */ 

#ifndef _CONSTRAINT_H_
#define _CONSTRAINT_H_

/*Headers:*/
/*{{{*/
class Nodes;
#include "../Object.h"
#include "../../../toolkits/toolkits.h"
/*}}}*/

class Constraint: public Object{

	public: 

		virtual      ~Constraint(){};
		virtual void ConstrainNode(Nodes* nodes,Parameters* parameters)=0;
		virtual bool InAnalysis(int analysis_type)=0;

};
#endif
